<?php

declare(strict_types=1);

namespace Drupal\views_tag_view_display;

use Drupal\Core\Entity\EntityTypeManagerInterface;
use Drupal\views\entity\View;
use Drupal\views\ViewExecutable;

/**
 * @todo Add class description.
 */
final class ViewsTagViewDisplayTagsService implements ViewsTagViewDisplayTagsServiceInterface {

  /**
   * Constructs a ViewsTagViewDisplayTagsService object.
   */
  public function __construct(
    private readonly EntityTypeManagerInterface $entityTypeManager,
  ) {}

  /**
   * {@inheritdoc}
   */
  public function getList($view_name, $display_id): array {
    $list = [];
    $view = $this->entityTypeManager
      ->getStorage('view')
      ->load($view_name);

    if (!$view instanceof View) {
      return $list;
    }

    $view = $view->getExecutable();

    if(!$view instanceof ViewExecutable) {
      return $list;
    }
    $view->initDisplay();
    $display = $view->displayHandlers->get($display_id);
    $extenders = $display->getExtenders();
    if (empty($extenders)) {
      return $list;
    }
    return explode(',', $extenders['views_tag_view_display']->getValue());
  }

}
