<?php

declare(strict_types=1);

namespace Drupal\views_tag_view_display;

/**
 * Service to get the list of tags associated to a view display id.
 */
interface ViewsTagViewDisplayTagsServiceInterface {

  /**
   * Get the tag from a Views display
   *
   * @param string $view_name
   *   The name of the view.
   * @param string $display_id
   *   The id of view display.
   *
   * @return array
   *   Return an array with the tags or empty array
   */
  public function getList(string $view_name, $display_id): array;

}
